aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/run-native-trials-until.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2022-05-13 19:06:30 +0200
committerSven Gothel <[email protected]>2022-05-13 19:06:30 +0200
commit3000d3f700e49084540b2ffe48b5d0a89b6a7ef9 (patch)
tree93a6c9629e2ae8db05773c79ff2ce8c0f7c7331c /scripts/run-native-trials-until.sh
parent9254c16d410059220344d64aa157f0c78a1cc679 (diff)
Add scripts/run-native-trial*.sh, split valgrind-jvm.supp from valgrind.supp
Diffstat (limited to 'scripts/run-native-trials-until.sh')
-rwxr-xr-xscripts/run-native-trials-until.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/run-native-trials-until.sh b/scripts/run-native-trials-until.sh
new file mode 100755
index 00000000..eb144372
--- /dev/null
+++ b/scripts/run-native-trials-until.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ ! -e test_client_server10_NoEnc ] ; then
+ echo "Run from build/trial/direct_bt/ directory"
+ exit 1
+fi
+
+run_until() {
+ let n=0; while make test ; do let n=${n}+1; echo "Test ${n} OK"; cp -av Testing/Temporary/LastTest.log LastTest-${n}.log ; done
+}
+
+run_until 2>&1 | tee run-trials-until.log